Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Move a customer

Idempotency Supported

This API copies a customer object from one site to another. The destination site (the site to which the customer is copied) is specified by the path parameter {site}; whereas, the source site (the site from which the customer is copied) is specified by the query parameter from_site.

Prerequisites

  • This endpoint is disabled by default. For the operation to work, the endpoint must be enabled for both the source and destination sites. Contact Chargebee Support to have it enabled.
  • The customer's preferred_currency_code must be enabled in the destination site.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/customers/move

Input Parameters

id_at_from_site
required, string, max chars=100

Id of the customer to be copied.

from_site
required, string, max chars=50

Name of the site from which this customer need to be copied.

Returns

Resource migration object
Resource object representing resource_migration